"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileHandler = void 0;
var tslib_1 = require("tslib");
var fs = tslib_1.__importStar(require("fs"));
var path = tslib_1.__importStar(require("path"));
var FileHandler = /** @class */ (function () {
    function FileHandler(filename) {
        var _this = this;
        this.filename = filename;
        this.logDir = path.resolve('.', './tmp');
        this.isAvailableOnDisk = false;
        this.write = function (content) {
            if (!fs.existsSync(_this.filePath))
                fs.writeFileSync(_this.filePath, '');
            if (!_this.isAvailableOnDisk)
                _this.isAvailableOnDisk = true;
            fs.appendFileSync(_this.filePath, content);
        };
        this.removeLocalLogFile = function () {
            if (_this.isAvailableOnDisk)
                fs.unlinkSync(_this.filePath);
        };
        this.filePath = path.resolve(this.logDir, this.filename);
        if (!fs.existsSync(this.logDir))
            fs.mkdirSync(this.logDir);
    }
    return FileHandler;
}());
exports.FileHandler = FileHandler;
exports.default = FileHandler;
//# sourceMappingURL=FileUtils.js.map