import { JobInfo } from './interfaces';
import Configuration from './Configuration';
import FileHandler from './FileUtils';
import moment from 'moment';
import { LoggerConfig } from './interfaces';
import S3Adapter from './storageAdapters/AmazonS3';
export declare class Logger {
    startTime: moment.Moment;
    endTime: moment.Moment;
    jobInfo: Configuration;
    logs: {
        info: any[];
        warnings: any[];
        errors: any[];
    };
    logFiles: {
        [key: string]: FileHandler;
    };
    loggerConfig: LoggerConfig;
    private adapter;
    constructor(jobInfo?: JobInfo, loggerConfig?: LoggerConfig);
    updateConfig(jobInfo: JobInfo, loggerConfig: LoggerConfig): void;
    setUpNewLogFileHandlers(): void;
    useAdapter: (adapter: S3Adapter) => void;
    startLogTime: () => void;
    endLogTime: () => void;
    info: (message: string | {}) => void;
    warn: (message: string | {}) => void;
    error: (message: string | {}) => void;
    setJobStatus: (statusCode: number) => void;
    formatMessageByTag(message: string | {}, tag: string): string;
    getTaskDuration: () => moment.Duration;
    save: () => Promise<void>;
    saveNew: () => void;
    private writeToAdapter;
    writeLogs: () => void;
    writeJobInfo: (logFile: any) => void;
}
export default Logger;
