/// <reference types="node" />
import aws from 'aws-sdk';
import fs from 'fs';
import { IStorageAdapter } from '../IStorageAdapter';
interface S3AdapterConfig {
    bucketName: string;
}
export declare class S3Adapter implements IStorageAdapter {
    s3Client: aws.S3;
    adapterConfig: S3AdapterConfig;
    constructor(s3Config: aws.S3.ClientConfiguration, adapterConfig: S3AdapterConfig);
    createFileReadStream(filepath: string): fs.ReadStream;
    save(localFilePath: string, filename: string, s3FilePath?: string): Promise<void>;
}
export default S3Adapter;
