"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.S3Adapter = void 0;
var tslib_1 = require("tslib");
var aws_sdk_1 = tslib_1.__importDefault(require("aws-sdk"));
var fs_1 = tslib_1.__importDefault(require("fs"));
var S3Adapter = /** @class */ (function () {
    function S3Adapter(s3Config, adapterConfig) {
        if (s3Config === void 0) { s3Config = {}; }
        this.adapterConfig = {
            bucketName: 'BUCKET_NAME',
        };
        this.s3Client = new aws_sdk_1.default.S3(s3Config);
        this.adapterConfig = tslib_1.__assign(tslib_1.__assign({}, this.adapterConfig), adapterConfig);
    }
    S3Adapter.prototype.createFileReadStream = function (filepath) {
        return fs_1.default.createReadStream(filepath);
    };
    S3Adapter.prototype.save = function (localFilePath, filename, s3FilePath) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            var fileContentStream, uploadParams;
            var _this = this;
            return tslib_1.__generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        fileContentStream = this.createFileReadStream(localFilePath);
                        uploadParams = {
                            Bucket: this.adapterConfig.bucketName,
                            Key: s3FilePath ? s3FilePath + "/" + filename : filename,
                            Body: fileContentStream,
                        };
                        return [4 /*yield*/, new Promise(function (resolve, reject) {
                                _this.s3Client.upload(uploadParams, {}, function (err, data) {
                                    if (err)
                                        reject(err);
                                    resolve(data);
                                });
                            })];
                    case 1:
                        _a.sent();
                        return [2 /*return*/];
                }
            });
        });
    };
    return S3Adapter;
}());
exports.S3Adapter = S3Adapter;
exports.default = S3Adapter;
//# sourceMappingURL=index.js.map